MGASA-2022-0044 - Updated rust packages fix security vulnerability

Publication date: 02 Feb 2022
URL: https://advisories.mageia.org/MGASA-2022-0044.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-21658

This update provides Rust 1.57.0 as a feature and bugfix update. See the
release notes for details.

The 'std::fs::remove_dir_all' standard library function was vulnerable a race
condition enabling symlink following (CWE-363). An attacker could use this
security issue to trick a privileged program into deleting files and
directories the attacker couldn't otherwise access or delete (CVE-2022-21658).
This vulnerability was fixed by patching Rust 1.57.0.

References:
- https://bugs.mageia.org/show_bug.cgi?id=29912
- https://blog.rust-lang.org/2021/12/02/Rust-1.57.0.html
- https://blog.rust-lang.org/2022/01/20/cve-2022-21658.html
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-21658

SRPMS:
- 8/core/rust-1.57.0-1.1.mga8